3 Replies Latest reply on Oct 4, 2011 5:38 PM by Norm Vilmer

    Fusesource 4.4 issue

    Shamik Bandopadhyay Newbie

      Hi,

       

      I'm facing a deployment issue specific to Fusesource 4.4. Here's the package exception.

       

      org.apache.cxf.transport.http_osgi -- Cannot be resolved

       

      Here's my pom entry.

       

      <plugin>

      <groupId>org.apache.felix</groupId>

      <artifactId>maven-bundle-plugin</artifactId>

      <version>2.0.1</version>

      <extensions>true</extensions>

      <configuration>

      <instructions>

      <Require-Bundle>org.apache.cxf.bundle</Require-Bundle>

      <Import-Package>

      javax.jws,

      javax.wsdl,

      javax.xml.bind,

      javax.xml.bind.annotation,

      javax.xml.namespace,

      javax.xml.ws,

      META-INF.cxf,

      META-INF.cxf.osgi,

      org.apache.cxf.bus,

      org.apache.cxf.bus.spring,

      org.apache.cxf.bus.resource,

      org.apache.cxf.configuration.spring,

      org.apache.cxf.resource,

      org.apache.cxf.jaxws,

      org.apache.cxf.transport.http_osgi,

      org.springframework.beans.factory.config,

      *;resolution:=optional

      </Import-Package>

      <Embed-Dependency>xstream,gate,gate-asm,gate-compiler-jdt,nekohtml,pdfbox,commons-lang;scope=compile|runtime

      </Embed-Dependency>

      <Embed-Transitive>true</Embed-Transitive>

      <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>

      <Bundle-Version>${project.version}</Bundle-Version>

      <Bundle-ClassPath>.,{maven-dependencies}</Bundle-ClassPath>

      <Include-Resource>

      {maven-resources}, {maven-dependencies}

      </Include-Resource>

      </instructions>

      </configuration>

      </plugin>

       

      I'm using the same cxf imports specified in the fuse example. This works fine in 3.3 version, but happens in 4.4. I'm seeing this in both windows and linux.

       

      I'll appreciate if someone can provide pointers.

       

      - Thanks